﻿;
/**
 * レコーダースペック
 */

//カメラch数(最大)
var MaxCamNum = 24; //国内、海外共にカメラ24ch対応

//最大入力バンド幅
var LimitInputBand = 73728;
var RecommendInputBand = 65536;

/**
 * 設定選択肢
 */
// モード
var p_easystart = 0;
var p_advanced = 1;

// RAID設定
var p_singlemode = 0;
var p_dualmode = 1;

var sel_recmode = new Array(p_singlemode, p_dualmode);
var sel_recmode_str = new Array(s_singlemode, s_dualmode);


// 機能サポート
var p_Supported = 1;
var p_notSupported = 0;


/* *********************************************************************
 * 顔照合用のリスト
********************************************************************* */
var List_FaceMatching = [
    p_H264, p_SXVGA, p_5ips, p_SF
];


/**
 * 録画係数
 */
//
// VMDInfo(メタデータ) (KB/s)
var VMDINFO = 0.75;

// Audio Datasize (KB/s) H.264, MPEG-4
var AUDIO = 6;

// NVF20対応タイムラインデータ(5GB)+統計情報(3GB)
var TIMELINE = 8;

// HDD管理領域係数
var HddEfi = 0.94;

// JPEG帯域計算用係数
var defGetaJpeg = 1.15;

// 顔照合用ビットレート値
var bitrateTable1_FaceMatching = 4096;
var bitrateTable2_FaceMatching = 4096;
var bitrateTable4_FaceMatching = 4096;
var bitrateTable5_FaceMatching = 4096;

/**
 * HDD容量リスト
 *
 * 合計容量は一緒だが異なるHDD組合せが出てきたので、
 * 容量下一桁で区別を付ける。計算する際は下一桁を無視すること
 */
if (app_dst == 'ja') {
    var HddCapacity = [500, 1000, 2000, 2000, 4000, 6000, 500, 1000];
    var HddCapaNum = [1, 1, 2, 1, 2, 2, 1, 1];
} else {
    var HddCapacity = [1000, 2000, 3000, 4000, 5000, 6000, 8000, 10000, 12000];
    var HddCapaNum = [1, 2, 1, 2, 1, 2, 2, 2, 2];
}

/**
 * 時間・分換算リスト
 */
var List_Minute = [
    [0, '00'],
    [0.25, '15'],
    [0.50, '30'],
    [0.75, '45']
];


/* *********************************************************************
 * ビットレートテーブル(Table1)
********************************************************************* */
// --------------------------------
// H.264
// --------------------------------
var List_Table1H264 = [
    // [0] QVGA(320x240)
    [
        // XF
        [512, 768, 768, 1024, 1024, 1536],
        // SF
        [384, 512, 512, 768, 768, 1024],
        // FQ
        [128, 256, 256, 384, 384, 512],
        // NQ
        [64, 128, 128, 256, 256, 384]
    ],
    // [1] VGA(640x480)
    [
        // XF
        [1024, 1536, 1536, 2048, 2048, 3072],
        // SF
        [768, 1024, 1024, 1536, 1536, 2048],
        // FQ
        [384, 512, 512, 768, 768, 1024],
        // NQ
        [256, 384, 512, 512, 512, 768]
    ],
    // [2] SXVGA(1280x960)
    [
        // XF
        [2048, 3072, 3072, 4096, 4096, 4096],
        // SF
        [1536, 2048, 2048, 3072, 3072, 4096],
        // FQ
        [768, 1024, 1024, 1536, 1536, 2048],
        // NQ
        [384, 512, 768, 1024, 1024, 2048]
    ],
    // [3] QVGA(320x180)
    [
        // XF
        [512, 768, 768, 1024, 1024, 1536],
        // SF
        [384, 512, 512, 768, 768, 1024],
        // FQ
        [128, 256, 256, 384, 384, 512],
        // NQ
        [64, 128, 128, 256, 256, 384]
    ],
    // [4] HVGAW(640x360)
    [
        // XF
        [1024, 1536, 1536, 2048, 2048, 3072],
        // SF
        [768, 1024, 1024, 1536, 1536, 2048],
        // FQ
        [384, 512, 512, 768, 768, 1024],
        // NQ
        [256, 384, 512, 512, 512, 768]
    ],
    // [5] HD(1280x720)
    [
        // XF
        [2048, 3072, 3072, 4096, 4096, 4096],
        // SF
        [1536, 2048, 2048, 3072, 3072, 4096],
        // FQ
        [768, 1024, 1024, 1536, 1536, 2048],
        // NQ
        [384, 512, 768, 1024, 1024, 2048]
    ]
];

// --------------------------------
// MPEG4
// --------------------------------
var List_Table1MPEG4 = [
    // [0] QVGA(320x240)
    [
        // XF <dummy>
        [256, 512, 512, 1024, 1536, 2048],
        // SF
        [256, 512, 512, 1024, 1536, 2048],
        // FQ
        [256, 256, 256, 512, 1024, 1024],
        // NQ
        [128, 256, 256, 256, 512, 512]
    ],
    // [1] VGA(640x480)
    [
        // XF <dummy>
        [512, 1024, 1024, 1536, 2048, 4096],
        // SF
        [512, 1024, 1024, 1536, 2048, 4096],
        // FQ
        [512, 1024, 1024, 1024, 1536, 2048],
        // NQ
        [512, 512, 512, 512, 1024, 2048]
    ]
];

// --------------------------------
// MJPEG
// --------------------------------
var List_Table1MJPEG = [
    // [0] QVGA(320x240)
    [
        // XF <dummy>
        [192, 576, 960],
        // SF
        [192, 576, 960],
        // FQ
        [128, 384, 640],
        // NQ
        [96, 288, 480]
    ],
    // [1] VGA(640x480)
    [
        // XF <dummy>
        [384, 1152, 1920],
        // SF
        [384, 1152, 1920],
        // FQ
        [256, 768, 1280],
        // NQ
        [192, 576, 960]
    ]
];

/* *********************************************************************
 * ビットレートテーブル(Table2)
********************************************************************* */
// --------------------------------
// H.264
// --------------------------------
var List_Table2H264 = [
    // [0] QVGA(320x240)
    [
        // XF
        [512, 768, 768, 1024, 1024, 1536],
        // SF
        [384, 512, 512, 768, 768, 1024],
        // FQ
        [128, 256, 256, 384, 384, 512],
        // NQ
        [64, 128, 128, 256, 256, 384]
    ],
    // [1] VGA(640x480)
    [
        // XF
        [768, 1024, 1024, 1536, 1536, 2048],
        // SF
        [512, 768, 768, 1024, 1024, 1536],
        // FQ
        [256, 384, 384, 512, 512, 768],
        // NQ
        [256, 256, 256, 384, 384, 768]
    ],
    // [2] SXVGA(1280x960)
    [
        // XF
        [2048, 3072, 3072, 4096, 4096, 4096],
        // SF
        [1536, 2048, 2048, 3072, 3072, 4096],
        // FQ
        [768, 1024, 1024, 1536, 1536, 2048],
        // NQ
        [384, 512, 768, 1024, 1024, 2048]
    ],
    // [3] QVGA(320x180)
    [
        // XF
        [512, 768, 768, 1024, 1024, 1536],
        // SF
        [384, 512, 512, 768, 768, 1024],
        // FQ
        [128, 256, 256, 384, 384, 512],
        // NQ
        [64, 128, 128, 256, 256, 384]
    ],
    // [4] HVGAW(640x360)
    [
        // XF
        [768, 1024, 1024, 1536, 1536, 2048],
        // SF
        [512, 768, 768, 1024, 1024, 1536],
        // FQ
        [256, 384, 384, 512, 512, 768],
        // NQ
        [256, 256, 256, 384, 384, 768]
    ],
    // [5] HD(1280x720)
    [
        // XF
        [2048, 3072, 3072, 4096, 4096, 4096],
        // SF
        [1536, 2048, 2048, 3072, 3072, 4096],
        // FQ
        [768, 1024, 1024, 1536, 1536, 2048],
        // NQ
        [384, 512, 768, 1024, 1024, 2048]
    ],
    // [6] FHD(1920x1080) <dummy>
    [
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>
        [0, 0, 0]
    ],
    // [7] SVGA(800x600)
    [
        // XF
        [1536, 2048, 2048, 3072, 3072, 4096],
        // SF
        [1024, 1536, 1536, 2048, 2048, 3072],
        // FQ
        [512, 768, 768, 1024, 1024, 1536],
        // NQ
        [256, 512, 512, 768, 768, 1536]
    ]
];

// --------------------------------
// MPEG4
// --------------------------------
var List_Table2MPEG4 = [
    // [0] QVGA(320x240)
    [
        // XF <dummy>
        [256, 256, 384, 512, 1024, 2048],
        // SF
        [256, 256, 384, 512, 1024, 2048],
        // FQ
        [128, 128, 256, 384, 512, 1024],
        // NQ
        [128, 128, 256, 256, 384, 512]
    ],
    // [1] VGA(640x480)
    [
        // XF <dummy>
        [384, 768, 1024, 1536, 2048, 4096],
        // SF
        [384, 768, 1024, 1536, 2048, 4096],
        // FQ
        [384, 512, 512, 1024, 1536, 2048],
        // NQ
        [256, 512, 512, 512, 1024, 2048]
    ]
];

// --------------------------------
// MJPEG
// --------------------------------
var List_Table2MJPEG = [
    // [0] QVGA(320x240)
    [
        // XF <dummy>
        [192, 576, 960],
        // SF
        [192, 576, 960],
        // FQ
        [128, 384, 640],
        // NQ
        [96, 288, 480]
    ],
    // [1] VGA(640x480)
    [
        // XF <dummy>
        [384, 1152, 1920],
        // SF
        [384, 1152, 1920],
        // FQ
        [256, 768, 1280],
        // NQ
        [192, 576, 960]
    ],
    // [2] SXVGA(1280x960)
    [
        // XF <dummy>
        [1024, 3072, 5120],
        // SF
        [1024, 3072, 5120],
        // FQ
        [640, 1920, 3200],
        // NQ
        [384, 1152, 1920]
    ],
    // [3] QVGA(320x180) <dummy>
    [
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>
        [0, 0, 0]
    ],
    // [4] HVGAW(640x360) <dummy>
    [
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>
        [0, 0, 0]
    ],
    // [5] HD(1280x720) <dummy>
    [
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>
        [0, 0, 0]
    ],
    // [6] FHD(1920x1080) <dummy>
    [
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>
        [0, 0, 0]
    ],
    // [7] SVGA(800x600)
    [
        // XF <dummy>
        [608, 1824, 3040],
        // SF
        [608, 1824, 3040],
        // FQ
        [416, 1248, 2080],
        // NQ
        [320, 960, 1600]
    ]
];

/* *********************************************************************
 * ビットレートテーブル(Table3)
********************************************************************* */
// --------------------------------
// H.264
// --------------------------------
var List_Table3H264 = [
    // [0] QVGA(320x240)
    [
        // XF
        [333, 333, 333, 500, 666, 999],
        // SF
        [333, 333, 333, 500, 666, 999],
        // FQ
        [333, 333, 333, 500, 666, 999],
        // NQ
        [333, 333, 333, 500, 666, 999]
    ],
    // [1] VGA(640x480)
    [
        // XF
        [666, 666, 666, 999, 1332, 1997],
        // SF
        [666, 666, 666, 999, 1332, 1997],
        // FQ
        [666, 666, 666, 999, 1332, 1997],
        // NQ
        [666, 666, 666, 999, 1332, 1997]
    ],
    // [2] SXVGA(1280x960)
    [
        // XF
        [1332, 1332, 1332, 1997, 2663, 3994],
        // SF
        [1332, 1332, 1332, 1997, 2663, 3994],
        // FQ
        [1332, 1332, 1332, 1997, 2663, 3994],
        // NQ
        [1332, 1332, 1332, 1997, 2663, 3994]
    ]
];

// --------------------------------
// MPEG4
// --------------------------------
var List_Table3MPEG4 = [
    // [0] QVGA(320x240)
    [
        // XF <dummy>
        [333, 333, 333, 500, 666, 999],
        // SF
        [333, 333, 333, 500, 666, 999],
        // FQ
        [333, 333, 333, 500, 666, 999],
        // NQ
        [333, 333, 333, 500, 666, 999]
    ],
    // [1] VGA(640x480)
    [
        // XF <dummy>
        [666, 666, 666, 999, 1332, 1997],
        // SF
        [666, 666, 666, 999, 1332, 1997],
        // FQ
        [666, 666, 666, 999, 1332, 1997],
        // NQ
        [666, 666, 666, 999, 1332, 1997]
    ]
];

// --------------------------------
// MJPEG
// --------------------------------
var List_Table3MJPEG = [
    // [0] QVGA(320x240)
    [
        // XF <dummy>
        [224, 672, 1120],
        // SF
        [224, 672, 1120],
        // FQ
        [128, 384, 640],
        // NQ
        [112, 336, 560]
    ],
    // [1] VGA(640x480)
    [
        // XF <dummy>
        [448, 1344, 2240],
        // SF
        [448, 1344, 2240],
        // FQ
        [320, 960, 1600],
        // NQ
        [224, 672, 1120]
    ],
    // [2] SXVGA(1280x960)
    [
        // XF <dummy>
        [1024, 3072, 5120],
        // SF
        [1024, 3072, 5120],
        // FQ
        [640, 1920, 3200],
        // NQ
        [512, 1536, 2560]
    ]
];

/* *********************************************************************
 * ビットレートテーブル(Table4)
********************************************************************* */
// --------------------------------
// H.264
// --------------------------------
var List_Table4H264 = [
    // [0] QVGA(320x240)
    [
        // XF
        [512, 768, 768, 768, 768, 1024],
        // SF
        [384, 512, 512, 512, 512, 768],
        // FQ
        [128, 256, 256, 256, 256, 384],
        // NQ
        [64, 128, 128, 128, 128, 256]
    ],
    // [1] VGA(640x480)
    [
        // XF
        [768, 1024, 1024, 1024, 1024, 1536],
        // SF
        [512, 768, 768, 768, 768, 1024],
        // FQ
        [256, 384, 384, 384, 384, 512],
        // NQ
        [256, 256, 256, 256, 256, 512]
    ],
    // [2] SXVGA(1280x960)
    [
        // XF
        [2048, 3072, 3072, 3072, 3072, 4096],
        // SF
        [1536, 2048, 2048, 2048, 2048, 3072],
        // FQ
        [768, 1024, 1024, 1024, 1024, 1536],
        // NQ
        [384, 512, 768, 768, 768, 1536]
    ],
    // [3] QVGA(320x180)
    [
        // XF
        [512, 768, 768, 768, 768, 1024],
        // SF
        [384, 512, 512, 512, 512, 768],
        // FQ
        [128, 256, 256, 256, 256, 384],
        // NQ
        [64, 128, 128, 128, 128, 256]
    ],
    // [4] HVGAW(640x360)
    [
        // XF
        [768, 1024, 1024, 1024, 1024, 1536],
        // SF
        [512, 768, 768, 768, 768, 1024],
        // FQ
        [256, 384, 384, 384, 384, 512],
        // NQ
        [256, 256, 256, 256, 256, 512]
    ],
    // [5] HD(1280x720)
    [
        // XF
        [1536, 2048, 2048, 3072, 3072, 4096],
        // SF
        [1024, 1536, 1536, 2048, 2048, 3072],
        // FQ
        [512, 768, 768, 1024, 1024, 1536],
        // NQ
        [256, 384, 512, 768, 768, 1536]
    ],
    // [6] FHD(1920x1080)
    [
        // XF
        [3072, 4096, 4096, 8192, 8192, 8192],
        // SF
        [2048, 3072, 3072, 4096, 4096, 4096],
        // FQ
        [1024, 1536, 1536, 2048, 2048, 3072],
        // NQ
        [512, 768, 768, 1024, 1024, 2048]
    ],
    // [7] SVGA(800x600)
    [
        // XF
        [1024, 1536, 1536, 2048, 2048, 3072],
        // SF
        [768, 1024, 1024, 1536, 1536, 2048],
        // FQ
        [384, 768, 768, 1024, 1024, 1536],
        // NQ
        [256, 384, 384, 512, 512, 1536]
    ]
];

// --------------------------------
// MPEG4
// --------------------------------
var List_Table4MPEG4 = [
    // [0] QVGA(320x240)
    [
        // XF <dummy>
        [256, 512, 512, 1024, 1536, 2048],
        // SF
        [256, 512, 512, 1024, 1536, 2048],
        // FQ
        [256, 256, 256, 512, 1024, 1024],
        // NQ
        [128, 256, 256, 256, 512, 512]
    ],
    // [1] VGA(640x480)
    [
        // XF <dummy>
        [512, 1024, 1024, 1536, 2048, 4096],
        // SF
        [512, 1024, 1024, 1536, 2048, 4096],
        // FQ
        [512, 1024, 1024, 1024, 1536, 2048],
        // NQ
        [512, 512, 512, 512, 1024, 2048]
    ]
];

// --------------------------------
// MJPEG
// --------------------------------
var List_Table4MJPEG = [
    // [0] QVGA(320x240)
    [
        // XF <dummy>
        [192, 576, 960],
        // SF
        [192, 576, 960],
        // FQ
        [128, 384, 640],
        // NQ
        [96, 288, 480]
    ],
    // [1] VGA(640x480)
    [
        // XF <dummy>
        [384, 1152, 1920],
        // SF
        [384, 1152, 1920],
        // FQ
        [256, 768, 1280],
        // NQ
        [192, 576, 960]
    ],
    // [2] SXVGA(1280x960)
    [
        // XF <dummy>
        [1024, 3072, 5120],
        // SF
        [1024, 3072, 5120],
        // FQ
        [640, 1920, 3200],
        // NQ
        [384, 1152, 1920]
    ],
    // [3] QVGA(320x180) <dummy>
    [
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>
        [0, 0, 0]
    ],
    // [4] HVGAW(640x360) <dummy>
    [
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>
        [0, 0, 0]
    ],
    // [5] HD(1280x720) <dummy>
    [
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>
        [0, 0, 0]
    ],
    // [6] FHD(1920x1080) <dummy>
    [
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>
        [0, 0, 0]
    ],
    // [7] SVGA(800x600)
    [
        // XF <dummy>
        [608, 1824, 3040],
        // SF
        [608, 1824, 3040],
        // FQ
        [416, 1248, 2080],
        // NQ
        [320, 960, 1600]
    ],
    // [8] QXGA(2048x1536)
    [
        // XF <dummy>
        [2560, 7680, 12800],
        // SF
        [2560, 7680, 12800],
        // FQ
        [1600, 4800, 8000],
        // NQ
        [960, 2880, 4800]
    ]
];

/* *********************************************************************
 * ビットレートテーブル(Table5)
********************************************************************* */
// --------------------------------
// H.264
// --------------------------------
var List_Table5H264 = [
    // [0] QVGA(320x240)
    [
        // XF
        [384, 512, 512, 512, 512, 768],
        // SF
        [256, 384, 384, 384, 384, 512],
        // FQ
        [128, 256, 256, 256, 256, 384],
        // NQ
        [64, 128, 128, 128, 128, 256]
    ],
    // [1] VGA(640x480)
    [
        // XF
        [512, 768, 768, 768, 768, 1024],
        // SF
        [384, 512, 512, 512, 512, 768],
        // FQ
        [256, 384, 384, 384, 384, 512],
        // NQ
        [128, 256, 256, 256, 256, 384]
    ],
    // [2] SXVGA(1280x960)
    [
        // XF
        [1024, 1536, 1536, 1536, 2048, 3072],
        // SF
        [768, 1024, 1024, 1024, 1536, 2048],
        // FQ
        [512, 768, 768, 768, 1024, 1024],
        // NQ
        [256, 512, 512, 512, 768, 768]
    ],
    // [3] QVGA(320x180)
    [
        // XF
        [384, 512, 512, 512, 512, 768],
        // SF
        [256, 384, 384, 384, 384, 512],
        // FQ
        [128, 256, 256, 256, 256, 384],
        // NQ
        [64, 128, 128, 128, 128, 256]
    ],
    // [4] HVGAW(640x360)
    [
        // XF
        [512, 768, 768, 768, 768, 1024],
        // SF
        [384, 512, 512, 512, 512, 768],
        // FQ
        [256, 384, 384, 384, 384, 512],
        // NQ
        [128, 256, 256, 256, 256, 384]
    ],
    // [5] HD(1280x720)
    [
        // XF
        [768, 1024, 1024, 1536, 1536, 3072],
        // SF
        [512, 768, 768, 1024, 1024, 2048],
        // FQ
        [384, 512, 512, 768, 768, 1024],
        // NQ
        [256, 384, 384, 512, 512, 768]
    ],
    // [6] FHD(1920x1080)
    [
        // XF
        [1536, 2048, 2048, 3072, 3072, 4096],
        // SF
        [1024, 1536, 1536, 2048, 2048, 3072],
        // FQ
        [768, 1024, 1024, 1536, 1536, 2048],
        // NQ
        [512, 768, 768, 1024, 1024, 1536]
    ],
    // [7] SVGA(800x600)
    [
        // XF
        [768, 1024, 1024, 1536, 1536, 2048],
        // SF
        [512, 768, 768, 1024, 1024, 1536],
        // FQ
        [384, 512, 512, 768, 768, 1024],
        // NQ
        [256, 384, 384, 512, 512, 768]
    ],
    // [8] QXGA(2048x1536)
    [
        // XF
        [2048, 3072, 3072, 4096, 4096, 6144],
        // SF
        [1536, 2048, 2048, 3072, 3072, 4096],
        // FQ
        [1024, 1536, 1536, 2048, 2048, 3072],
        // NQ
        [1024, 1024, 1024, 1536, 1536, 2048]
    ]
];

// --------------------------------
// MJPEG
// --------------------------------
var List_Table5MJPEG = [
    // [0] QVGA(320x240)
    [
        // XF <dummy>
        [192, 576, 960],
        // SF
        [192, 576, 960],
        // FQ
        [128, 384, 640],
        // NQ
        [64, 192, 320]
    ],
    // [1] VGA(640x480)
    [
        // XF <dummy>
        [352, 1056, 1760],
        // SF
        [352, 1056, 1760],
        // FQ
        [256, 768, 1280],
        // NQ
        [192, 576, 960]
    ],
    // [2] SXVGA(1280x960)
    [
        // XF <dummy>
        [1024, 3072, 5120],
        // SF
        [1024, 3072, 5120],
        // FQ
        [640, 1920, 3200],
        // NQ
        [384, 1152, 1920]
    ],
    // [3] QVGA(320x180) <dummy>
    [
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>
        [0, 0, 0]
    ],
    // [4] HVGAW(640x360) <dummy>
    [
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>
        [0, 0, 0]
    ],
    // [5] HD(1280x720) <dummy>
    [
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>
        [0, 0, 0]
    ],
    // [6] FHD(1920x1080) <dummy>
    [
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>,
        [0, 0, 0],
        // <dummy>
        [0, 0, 0]
    ],
    // [7] SVGA(800x600)
    [
        // XF <dummy>
        [512, 1536, 2560],
        // SF
        [512, 1536, 2560],
        // FQ
        [384, 1152, 1920],
        // NQ
        [256, 768, 1280]
    ],
    // [8] QXGA(2048x1536)
    [
        // XF <dummy>
        [2560, 7680, 12800],
        // SF
        [2560, 7680, 12800],
        // FQ
        [1600, 4800, 8000],
        // NQ
        [960, 2880, 4800]
    ]
];

/**
 * NP502/NW502S特別対応
 *
 * NP502/NW502Sは機能上SmartHDと同じだが、推奨ビットレートは
 * i-PROと同様なので、参照ビットレートを変えるためのフラグを設ける
 */
var Flag_np502table = 0;
var camBpr = new Array(MaxCamNum);
var bDspBrCtl = false;
